AC_DEFUN([ALBERTA_PLOT_ANSI_STUFF],
[
plot_for_sun=false
plot_for_all=false
plot_for_ibm=false
plot_for_tit=false

if test "$G77" = yes; then
	AC_MSG_RESULT([Using generic Fortran F77 interface for PLOT_ansi])
	#
	# just use both ...
	#
	plot_for_all=true
	plot_for_sun=false
else
	#
	# Actually, PLOT_for_STUFF should be chosen based on the Compiler
	# in use, not the vendor. However, it isn't used anyway, so what.
	#
	case "$host_vendor" in
#	*sgi*)	AC_MSG_RESULT([Building for SGI system, affects PLOT_Ansi...])
#		;;
	*ibm*)	AC_MSG_RESULT([Building for IBM system, affects PLOT_Ansi...])
		plot_for_ibm=true
		;;
	*sun*)	AC_MSG_RESULT([Building fo a SUN system, affects PLOT_Ansi...])
		plot_for_sun=true
		;;
	*) AC_MSG_RESULT([Using generic Fortran F77 interface for PLOT_ansi])
		plot_for_all=true
		;;
	esac

	case "$host" in
	*titan*) AC_MSG_RESULT([Building for TITAN cpu/vendor/system?, affects PLOT_Ansi...])
	       plot_for_tit=true
		;;
	esac
fi

AM_CONDITIONAL(PLOT_FOR_ALL, test x$plot_for_all = xtrue)
AM_CONDITIONAL(PLOT_FOR_SUN, test x$plot_for_sun = xtrue)
AM_CONDITIONAL(PLOT_FOR_IBM, test x$plot_for_ibm = xtrue)
AM_CONDITIONAL(PLOT_FOR_TIT, test x$plot_for_tit = xtrue)

if test "$plot_for_all" = true; then
 	MANGLE_F77_FUNCTIONS(plot_create_window,
		plot_destroy_window,
		plot_get_std_window,
		plot_set_std_window,
		plot_expose,
		plot_title,
		plot_alarm,
		plot_set_icolor,
		plot_get_icolor,
		plot_set_backgroundcolor,
		plot_get_backgroundcolor,
		plot_set_linecolor,
		plot_get_linecolor,
		plot_set_patchcolor,
		plot_get_patchcolor,
		plot_set_textcolor,
		plot_get_textcolor,
		plot_flush,
		plot_clear,
		plot_set_transform2d,
		plot_get_transform2d,
		plot_world2d,
		plot_move2d,
		plot_vmove2d,
		plot_draw2d,
		plot_vdraw2d,
		plot_line2d,
		plot_vline2d,
		plot_triangle2d,
		plot_vtriangle2d,
		plot_trianglergb2d,
		plot_vtrianglergb2d,
		plot_text2d,
		plot_vtext2d)

	AC_CONFIG_FILES([PLOT_ANSI/src/PLOT_for_all.c])

fi # PLOT_for_all


])
